Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class ScriptedDataSetEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.DataSetEventAdapter
org.eclipse.birt.report.engine.api.script.eventadapter.ScriptedDataSetEventAdapter

All Implemented Interfaces:
  `IDataSetEventHandler`, `IScriptedDataSetEventHandler`

public class ScriptedDataSetEventAdapter extends DataSetEventAdapter implements IScriptedDataSetEventHandler
Default (empty) implementation of the IScriptedDataSetEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`ScriptedDataSetEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close(IDataSetInstance dataSet)`
Handle the close event
`boolean`
`describe(IDataSetInstance dataSet, IScriptedDataSetMetaData metaData)`
Method for Script Data Set to return dynamically generated data set metadata.
`boolean`
`fetch(IDataSetInstance dataSet, IUpdatableDataSetRow row)`
Handle the fetch event.
`void`
`open(IDataSetInstance dataSet)`
Handle the open event

### Methods inherited from class org.eclipse.birt.report.engine.api.script.eventadapter.DataSetEventAdapter

`afterClose, afterOpen, beforeClose, beforeOpen, onFetch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.eventhandler.IDataSetEventHandler

`afterClose, afterOpen, beforeClose, beforeOpen, onFetch`

## Constructor Details

### ScriptedDataSetEventAdapter

public ScriptedDataSetEventAdapter()

## Method Details

### open

public void open(IDataSetInstance dataSet) throws ScriptException
Description copied from interface: `IScriptedDataSetEventHandler`
Handle the open event

Specified by:
  `open` in interface `IScriptedDataSetEventHandler`
Throws:
  `ScriptException`

### fetch

public boolean fetch(IDataSetInstance dataSet, IUpdatableDataSetRow row) throws ScriptException
Description copied from interface: `IScriptedDataSetEventHandler`
Handle the fetch event. Implementation should call methods on the row object to set data of the current row being fetched.

Specified by:
  `fetch` in interface `IScriptedDataSetEventHandler`
Returns:
  true if current data row has been populated. false if the last call to fetch has returned the last data row, and no more data is available.
Throws:
  `ScriptException`

### close

public void close(IDataSetInstance dataSet) throws ScriptException
Description copied from interface: `IScriptedDataSetEventHandler`
Handle the close event

Specified by:
  `close` in interface `IScriptedDataSetEventHandler`
Throws:
  `ScriptException`

### describe

public boolean describe(IDataSetInstance dataSet, IScriptedDataSetMetaData metaData) throws ScriptException
Description copied from interface: `IScriptedDataSetEventHandler`
Method for Script Data Set to return dynamically generated data set metadata. This method is called before the open event is fired. If the data set implementation has dynamically generated metadata, it should call the addColumn method on the metaData object to add all its column definition, then return true. If the data set implementation uses the static metadata defined in the data set design , it should return false.

Specified by:
  `describe` in interface `IScriptedDataSetEventHandler`
Throws:
  `ScriptException`